BEGIN BSMERED

IF ~See(Player1)
Gender(Player1,FEMALE)
Global("BodhiStrongholdPledged","LOCALS",0)
Global("BodhiStronghold","GLOBAL",2)~ THEN BEGIN pledgeMaster1F
   SAY ~I will serve you, my mistress!~
IF ~~ THEN DO ~SetGlobal("BodhiStrongholdPledged","LOCALS",1)~ EXIT
END

IF ~See(Player1)
!Gender(Player1,FEMALE)
Global("BodhiStrongholdPledged","LOCALS",0)
Global("BodhiStronghold","GLOBAL",2)~ THEN BEGIN pledgeMaster1M
   SAY ~I will serve you, my master!~
IF ~~ THEN DO ~SetGlobal("BodhiStrongholdPledged","LOCALS",1)~ EXIT
END


IF ~See(Player1)
  Gender(Player1,FEMALE)
  Global("MeredathResurrected","GLOBAL",1)~
THEN BEGIN greetingStartF
   SAY ~It's you, a conspirator. Why did you resurrect me?~
   ++ ~I wished to proove you my loyality to vampires.~ + briefingNV1
   ++ ~I will let you live, if you will serve me!~ + briefingNV1
   ++ ~I wanted to kill you one more time!~ + briefing3f
END


IF ~See(Player1)
!Gender(Player1,FEMALE)
  Global("MeredathResurrected","GLOBAL",1)~
THEN BEGIN greetingStart
   SAY ~It's you, a conspirator. Why did you resurrect me?~
   ++ ~I wished to proove you my loyality to vampires.~ + briefingNV1
   ++ ~I will let you live, if you will serve me!~ + briefingNV1
   ++ ~I wanted to kill you one more time!~ + briefing3f
END


IF ~~ briefingNV1
  SAY ~I suppose I don't have nor power nor allies to fight you. I could serve you.~
  ++ ~Then join my party. Great times ahead of us.~ + briefing2
  ++ ~You are free to go. I release you.~ + briefing3
  ++ ~Die, drowned witch!~ + briefing3f
END



IF ~~ briefing2
  SAY ~You know I will not trust you until you will proove yourself to me.~
  IF ~~ THEN DO ~
  MakeGlobal()
  SetGlobal("MeredathResurrected","GLOBAL",2)
  DestroyItem("VVHMERED")
  GiveItemCreate("VVCASKET",Myself,1,1,0) // Empty Casket		
  JoinParty()
  ~ EXIT
END

IF ~~ briefing3f
  SAY ~No, no!~
  IF ~~ THEN DO ~SetGlobal("MeredathResurrected","GLOBAL",2)
  SetGlobal("MeredathLeft","GLOBAL",1)
Enemy()
~ EXIT
END

IF ~~ briefing3
  SAY ~Goodbye, <CHARNAME>. I will find some lovely crypt away from this as far as possible.~
  IF ~~ THEN DO ~RunAwayFromNoInterrupt(Player1,50)
  SetGlobal("MeredathResurrected","GLOBAL",2)
DestroySelf()
~ EXIT
END

//when thrown out
IF ~Gender(Player1,MALE)
!Global("BodhiStronghold","GLOBAL",2)
!InParty(Myself)~ THEN BEGIN GreetingVManB1
SAY ~Do you need me, my master?~ 
 ++ ~Come with me, Meredath, I need your skills.~ + notparty1
 ++ ~Stay here, Meredath, I will return.~ + notparty2
  ++ ~You are free to go. I release you.~ + briefing3 
 ++ ~I decided to end your life.~ + briefing3f
END

IF ~~ notparty2
SAY ~Okay, master!~
IF ~~ THEN DO ~~ EXIT
END

IF ~Gender(Player1,FEMALE)
!Global("BodhiStronghold","GLOBAL",2)
!InParty(Myself)~ THEN BEGIN GreetingVFemB1
SAY ~Do you need me, my mistress?~ 
 ++ ~Come with me, Meredath, I need you, my servant.~ + notparty1
 ++ ~Stay here, Meredath, I will return.~ + notparty2
  ++ ~You are free to go. I release you.~ + briefing3  
 ++ ~I decided to end your life.~ + briefing3f
END

IF ~Gender(Player1,FEMALE)
Global("BodhiStronghold","GLOBAL",2)
!InParty(Myself)~ THEN BEGIN GreetingVFemB1
SAY ~Do you need me, my mistress?~ 
 ++ ~Come with me, Meredath, I need you, my servant.~ + notparty1
 ++ ~Go to our Stronghold in Grave Yard District. I will find you there, if it will be needed.~ + notpartGoST
 ++ ~Stay here, Meredath, I will return.~ + notparty2
  ++ ~You are free to go. I release you.~ + briefing3  
 ++ ~I decided to end your life.~ + briefing3f
END


IF ~Gender(Player1,MALE)
Global("BodhiStronghold","GLOBAL",2)
!InParty(Myself)~ THEN BEGIN GreetingVMAleB1
SAY ~Do you need me, my master?~ 
 ++ ~Come with me, Meredath, I need you, my servant.~ + notparty1
 ++ ~Go to our Stronghold in Grave Yard District. I will find you there, if it will be needed.~ + notpartGoST
 ++ ~Stay here, Meredath, I will return.~ + notparty2
  ++ ~You are free to go. I release you.~ + briefing3  
 ++ ~I decided to end your life.~ + briefing3f
END

IF ~~ notparty1m
  SAY ~Moving out.~
  IF ~~ THEN DO ~
	//	DestroyItem("VVMeredath")
	//	DestroyItem("MONHP1")
		JoinParty()~ EXIT
END

IF ~~ notparty1
  SAY ~I am irreplacible.~
  IF ~~ THEN DO ~
		JoinParty()~ EXIT
END

IF ~~ notpartGoST
   SAY ~Will see here. If you don't get killed.~
   IF ~~ THEN DO ~LeaveParty()
   RunAwayFromNoInterrupt(Player1,40)
   MoveBetweenAreas("AR0808",[555.704],S)~ EXIT
 END  

// talk in party

IF ~Gender(Player1,MALE)
InParty(Myself)
Race(Player1,VAMPIRE)~ THEN BEGIN GreetingManV1
SAY ~My master, do you need something from me?~ 
 ++ ~Are you hungry? You can suck my blood, Meredath.~ + suckblood
 ++ ~Tell me your story, Meredath.~ + talkMeredathM
 ++ ~No, nothing right now, Meredath.~ + byesilent
  ++ ~I decided to end your life.~ + briefing3f
END

IF ~Gender(Player1,FEMALE)
InParty(Myself)
Race(Player1,VAMPIRE)~ THEN BEGIN GreetingFemV1
SAY ~My mistress, do you need something from me?~ 
 ++ ~Are you hungry? You can suck my blood, Meredath.~ + suckblood
 ++ ~Tell me your story, Meredath.~ + talkMeredathF
 ++ ~No, nothing right now, Meredath.~ + byesilent
  ++ ~I decided to end your life.~ + briefing3f
END

IF ~Gender(Player1,MALE)
InParty(Myself)
!Race(Player1,VAMPIRE)~ THEN BEGIN GreetingMan1
SAY ~<CHARNAME>, do you need something from me?~ 
 ++ ~Are you hungry? You can suck my blood, Meredath.~ + suckblood
 ++ ~Make me a vampire, Meredath.~ + vampconvm
 ++ ~Tell me your story, Meredath.~ + talkMeredathM
 ++ ~No, nothing right now, Meredath. Sorry.~ + byesilent
   ++ ~I decided to end your life.~ + briefing3f
END

IF ~Gender(Player1,FEMALE)
InParty(Myself)
!Race(Player1,VAMPIRE)~ THEN BEGIN GreetingFem1
SAY ~<CHARNAME>, do you need something from me?~ 
 ++ ~Are you hungry? You can suck my blood, Meredath.~ + suckblood
 ++ ~Make me a vampire, Meredath.~ + vampconvf 
 ++ ~Tell me your story, Meredath.~ +   talkMeredathM
 ++ ~No, nothing right now, Meredath. Sorry for disturbance.~ + byesilent
   ++ ~I decided to end your life.~ + briefing3f
END

IF ~~ byesilent
SAY ~Let me stay to my throughs.~
  IF ~~ THEN DO ~~ EXIT
END


IF ~~ talkMeredathM
  SAY ~I am a necromancer. When I met with Bodhi, she proposed alliance and I became a vampire. For exchange I had to animate or heal her fallen minions.~
  IF ~~ THEN GOTO talkMeredathM2
END

IF ~~ talkMeredathM2
  SAY ~You know, I like beeing vampire. It's a freedom I long dreamed of. I can finish my studies not going into diseases, death or family life.~
  IF ~~ THEN GOTO talkMeredathM3
END

IF ~~ talkMeredathM3
  SAY ~I hope this will continue.~
  IF ~~ THEN EXIT
END


IF ~~ talkMeredathF
  SAY ~I am a necromancer. When I met with Bodhi, she proposed alliance and I became a vampire. For exchange I had to animate or heal her fallen minions.~
  IF ~~ THEN GOTO talkMeredathF2
END

IF ~~ talkMeredathF2
  SAY ~You know, I like beeing vampire. It's a freedom I long dreamed of. I can finish my studies not going into diseases, death or family life.~
  IF ~~ THEN GOTO talkMeredathF3
END

IF ~~ talkMeredathF3
 SAY ~I hope this will continue.~
   IF ~~ THEN EXIT
END



IF ~~ suckblood
  SAY ~Yummy!~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckblood2
END

IF ~~ suckbloodNo
  SAY ~I will not drink this disgustuing thing!~
  IF ~~ THEN DO ~~ EXIT
END

IF ~~ suckblood2
  SAY ~Ooh!~
  IF ~~ THEN DO ~ApplyDamagePercent(Player1,85,MAGIC)
  SetGlobalTimer("BloodlustTimer","LOCALS",ONE_DAY)
		ApplySpell(Myself,RESTORE_FULL_HEALTH)~ EXIT 
END

IF ~~ vampconvm
  SAY ~(Meredath embraces you by neck and gets closer.)~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO vampconv2
END


IF ~~ vampconvf
  SAY ~(Meredath's teeth go out and gently bite you in your neck.)~
  IF ~!Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO suckbloodNo  
  IF ~Global("Player1RaceBlood","GLOBAL",4)~ THEN GOTO vampconv2
END

IF ~~ vampconv2
  SAY ~(Suddently you feel her teeths have pierced your skin and gone to carotid vein. Blood flow is distracted and becomes pulsating. You feel that your blood flows into Meredath.)~
IF ~~ GOTO vampconv3
END

IF ~~ vampconv3
  SAY ~(Soon you feel great weakness, your throuths are clouded. And you loose consciousness.)~
IF ~~ GOTO vampconv4
END

IF ~~ vampconv4
  SAY ~(...You open your eyes. World around you have changed. You have changed. You feel coldness of your body and immediately you feel all-consuming hunger growing in you.)~
IF ~~ GOTO vampconv5
END

IF ~~ vampconv5
  SAY ~(You are now undead, as you wished. Now you feel presence of Meredath. She is conspirative and introvert.)~

  IF ~~ THEN DO ~  ActionOverride(Player1,SetGlobal("ActorVampirisedLevel","LOCALS",2))
		ChangeStat(Player1,CON,-2,ADD)
		ChangeStat(Player1,STR,-1,ADD)
		ChangeStat(Player1,WIS,1,ADD)
		ChangeStat(Player1,INT,1,ADD)
	

		SetGlobal("MeredathVampirized","GLOBAL",1)	
	~ EXIT
END


